Bug 826207 - [jdg] Duplicate infinspan resource
[jdg] Duplicate infinspan resource
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
6.0.0
Unspecified Unspecified
urgent Severity high
: CR2
: 6.0.0
Assigned To: Tristan Tarrant
:
Depends On: 825818 826228
Blocks: as7-plugin 829331
  Show dependency treegraph
 
Reported: 2012-05-29 14:56 EDT by Charles Crouch
Modified: 2015-11-01 19:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 825818
: 829331 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
duplicate infinispan resource on JDG ER11 (226.19 KB, image/png)
2012-06-06 07:34 EDT, Libor Zoubek
no flags Details

  None (edit)
Comment 1 Charles Crouch 2012-05-29 14:58:10 EDT
As discussed with Heiko/Tristan there are updates required to the JDG plugin which will necessitate an ER11 version of the JDG plugin
Comment 2 Libor Zoubek 2012-06-06 07:33:25 EDT
Sorry for marking this as VERIFIED before. This issue was reproducible either on classic EAP6 and JDG. I've verified it on EAP6 CR1. Now .. having JDG ER11 .. issue is still here. This time it looks like it could be enough to fix it in AS7 plugin.

See attached screenshot
Comment 3 Libor Zoubek 2012-06-06 07:34:02 EDT
Created attachment 589841 [details]
duplicate infinispan resource on JDG ER11
Comment 4 Heiko W. Rupp 2012-06-06 08:21:29 EDT
This is an issue with the JDG plugin itself.
The code in the as7 plugin checks for a resource type '{JDG}Infinispan', but the
JDG plugin only defines a type '{JDG}Infinispan (Managed Server)', so that the muting check does not work.
Comment 5 Tristan Tarrant 2012-06-06 08:30:22 EDT
Heiko, I'm sorry I misunderstood your original request. So I should just change:

<service name="Infinispan (Managed Server)" ...>

to 

<service name="Infinispan" ...> 

in my plugin ?
Comment 6 Heiko W. Rupp 2012-06-06 08:34:13 EDT
Tristan,

yes.

My original "request" (rather suggestion) was to add the additional properties in <resource-configuration>, that the as7 plugin has, but not the JDG one to the JDG plugin.

But renaming the Infinispan type (and the Datagrid one) to the ER10 version ( without '(Managed Server)' is needed.

  Heiko
Comment 7 Tristan Tarrant 2012-06-06 08:35:38 EDT
Ok. It will be fixed in our CR1 (due tomorrow). I copied the entire plugin descriptor from the AS7 one and just added my properties. Now the name is back to the ER10 "Infinispan". Thanks
Comment 8 Libor Zoubek 2012-06-11 05:03:01 EDT
verified on JON 3.1.GA + JDG 6.CR2 and EAP6.CR1
Comment 10 Tomas Sykora 2013-09-10 09:38:51 EDT
I'm reopening this bug for JDG 6.2 DR4.

Plugin changed compared to DR3 version. 

Now I can see duplicated detection of infinispan resource again (exactly how it's shown on the picture posted by Libor).

Both infinispan resources contain cache sub-resources but only one provide operations for caches. The other one (the wrong duplicate) has "greyed" operations selection.
Comment 11 Tomas Sykora 2013-09-10 09:46:38 EDT
We are still testing this with JON 3.1.2.GA and this version of AS7 plugin

Display Name: JBoss Application Server 7.x
	Name: JBossAS7
Version: 4.4.0.JON312GA

We will switch to testing with JON 3.2 soon but we still probably need plugin to be compatible with older version of JON (3.1.2 and its plugin pack). Or not?
Comment 12 Heiko W. Rupp 2013-09-10 09:54:21 EDT
Guys, this was done long time and verified with the correct version at the time.
Please re-set this to the previous state and open a new one for the new JDG version

Note You need to log in before you can comment on or make changes to this bug.